org.apache.hadoop.hdfs

## Class DFSMultipartUploaderFactory

- java.lang.Object
- - org.apache.hadoop.fs.MultipartUploaderFactory
  - - org.apache.hadoop.hdfs.DFSMultipartUploaderFactory

-     public class DFSMultipartUploaderFactory
      extends org.apache.hadoop.fs.MultipartUploaderFactory

  Support for HDFS multipart uploads, built on `FileSystem.concat(Path, Path[])`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.fs.MultipartUploaderFactory

      `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DFSMultipartUploaderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.hadoop.fs.MultipartUploader` | `createMultipartUploader(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class org.apache.hadoop.fs.MultipartUploaderFactory

      `get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DFSMultipartUploaderFactory

          public DFSMultipartUploaderFactory()

  - ### Method Detail

    - #### createMultipartUploader

          protected org.apache.hadoop.fs.MultipartUploader createMultipartUploader(org.apache.hadoop.fs.FileSystem fs,
                                                                                   org.apache.hadoop.conf.Configuration conf)

      Specified by:
        `createMultipartUploader` in class `org.apache.hadoop.fs.MultipartUploaderFactory`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.